using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioCadrevMensagens
    {

        public IList<entidadeCadrevMensagens> Select(entidadeCadrevMensagens objCadrevMensagens)
        {
            dalCadrevMensagens dalCadrevMensagens = null;

            var lstCadrevMensagens = new List<entidadeCadrevMensagens>();
            DataTable dt = null;

            try
            {
                dalCadrevMensagens = new dalCadrevMensagens();
                dt = dalCadrevMensagens.Select(objCadrevMensagens);

                foreach (DataRow dr in dt.Rows)
                {
                    objCadrevMensagens = new entidadeCadrevMensagens();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objCadrevMensagens.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["ANEEL"]))
                        objCadrevMensagens.ANEEL = Convert.ToInt32(dr["ANEEL"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objCadrevMensagens.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRICAO_TIPOS_MENSAGENS"]))
                        objCadrevMensagens.DESCRICAO_TIPOS_MENSAGENS = dr["DESCRICAO_TIPOS_MENSAGENS"].ToString();


                    lstCadrevMensagens.Add(objCadrevMensagens);
                }
                return lstCadrevMensagens;
            }
            catch (Exception)
            {
                throw;
            }
        }
    }
}
